<?php
class ControllerExtensionModuleItvmOrders extends Controller {

	public function index() {
		$this->load->model('extension/module/itvm_orders');
		$this->load->model('setting/setting');

		$this->load->language('extension/module/itvm_orders');

		// Сохранение настроек модуля, когда пользователь нажал "Записать"
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			// Вызываем метод "модели" для сохранения настроек
			$this->model_setting_setting->editSetting('module_itvm_orders', $this->request->post);
			// Выходим из настроек с выводом сообщения
			$this->session->data['success'] = $this->language->get('text_success');
			/*$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true));*/
			$createApiKey = $this->model_extension_module_itvm_orders->createApiKey();
		}

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		// Загружаем настройки через метод "модели"
	    $data['breadcrumbs'] = array();

		$data = array(); $data['breadcrumbs'] = array();
	    $data['breadcrumbs'][] = array(
	      'text' => $this->language->get('text_home'),
	      'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)
	    );
	    $data['breadcrumbs'][] = array(
	      'text' => $this->language->get('text_extension'),
	      'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true)
	    );
	    $data['breadcrumbs'][] = array(
	      'text' => $this->language->get('heading_title'),
	      'href' => $this->url->link('extension/module/itvm_orders', 'user_token=' . $this->session->data['user_token'], true)
	    );
	    
	    $getApiKey = $this->model_extension_module_itvm_orders->getApiKey();
	    if ($getApiKey) {
		    $data['api_key_itvm_orders'] = $getApiKey;
	    }
	 	
	    // Кнопки действий
	    $data['action'] = $this->url->link('extension/module/itvm_orders', 'user_token=' . $this->session->data['user_token'], true);
	    $data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true);

	    if (isset($this->request->post['module_itvm_orders_status'])) {
			$data['module_itvm_orders_status'] = $this->request->post['module_itvm_orders_status'];
		} else {
			$data['module_itvm_orders_status'] = $this->config->get('module_itvm_orders_status');
		}

		$data['link_to_start'] = HTTP_CATALOG . 'index.php?route=extension/module/itvm_orders';

	    // Загрузка шаблонов для шапки, колонки слева и футера
	    $data['header'] = $this->load->controller('common/header');
	    $data['column_left'] = $this->load->controller('common/column_left');
	    $data['footer'] = $this->load->controller('common/footer');
	 
	    // Выводим в браузер шаблон
	    $this->response->setOutput($this->load->view('extension/module/itvm_orders', $data));

	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/itvm_orders')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}

}